.select-add-card {
  @include size(100%);

  &__sum {
    &-full {
      @include size(100%);
      @include flex(flex, row, wrap);
      justify-content: space-between;
    }
  }

  .flex-row {
    @include flex(flex, row, wrap);

    &.space-between {
      justify-content: space-between;
    }
  }

  .flex-column {
    @include flex(flex, column, wrap);
  }

  &__wrapper {
    @include size(100%);
    margin: 0 auto;
    background-color: $white;
    border: 1px solid $border;
    border-radius: 5px;
  }

  &__header {
    @include size(100%);
    padding: 30px 40px;
    border-bottom: 1px solid $border;

    &-title {
      @include font(14px, 700, 1.43, .5px);
      color: $titleColor;
      text-transform: uppercase;
    }
  }

  &__content {
    @include size(100%);
    border-bottom: 1px solid $border;

    &-row {
      @include size(100%);
      @include flex(flex, row, nowrap);
    }

    &-column {
      @include size(100%);
      @include flex(flex, column, wrap);
    }

    &-left {
      @include size(calc(100% - 430px));
      //padding: 30px 40px 40px;
    }

    &-right {
      @include size(430px);
      padding: 40px;
      border-left: 1px solid $border;
    }
  }

  &__card {
    padding: 20px;
    box-shadow: inset 0 1px 2px 0 rgba(50, 60, 71, 0.2);
    background-color: #f4f7f9;
  }

  &__radio-buttons {
    @include flex(flex, column, wrap);

    .radio-button {
      @include size(100%);
      @include flex(flex, row, wrap);
      padding: 20px 40px;
      border-bottom: 1px solid $border;

      &__input {

        &:checked {
          & + .radio-button__label {
            &:before {
              background-color: rgba(81, 163, 81, 0.15);
              border: none;
            }

            &:after {
              display: block;
            }
          }
        }
      }

      &__label {
        @include position(relative);
        @include size(100%, 100%);
        @include flex(inline-flex, row, nowrap);
        align-items: center;
        margin: 0 !important;
        padding: 0 0 0 50px;

        &:before {
          content: "";
          display: block;
          @include position(absolute, $c: (top: 50%, left: 0));
          @include size(20px, 20px);
          border-radius: 50%;
          border: solid 1px #e9eff4;
          background-color: #f8f8f8;
          transform: translate(0, -50%);
          box-sizing: border-box;
          transition: all .6s ease;
        }

        &:after {
          content: "";
          display: none;
          @include position(absolute, $c: (top: 50%, left: 7px));
          @include size(6px, 6px);
          border-radius: 50%;
          background-color: #51a351;
          transform: translate(0, -50%);
          box-sizing: border-box;
          transition: all .6s ease;
        }

        &-icon {
          margin: 0 15px 0 0;
        }
      }
    }
  }

  &__title {
    margin: 0 !important;
    @include font(13px, 400, 1.54);
    color: #707070;
  }

  &__value {
    margin: 0 !important;
    @include font(13px, 400, 1.54);
    color: #323c47;
  }

  &__p {
    margin: 20px 0 0 !important;
    @include font(13px, 400, 1.54);
    color: #323c47;
  }

  &__h2 {
    margin: 10px 0 0 !important;
    @include font(35px, 500, 1.43, -.5px);
    text-align: right;
    color: #323c47;
  }

  &__buttons-wrapper {

  }

  &__transaction {
    padding: 20px 0 0;
    margin: 0 0 20px;
  }

  &__button {
    padding: 13px 0 12px;
    margin: 0;
    @include font(15px, 500, 1.33);
    text-align: center;

    &.red {
      margin: 0 0 8px !important;
      text-transform: uppercase;
    }

    &.white {
      margin: 0 !important;
      color: $blue;
    }
  }

  &__footer {
    @include size(100%);
    @include flex(flex, row, nowrap);
    align-items: center;
    justify-content: space-between;
    padding: 25px 40px;

    &-icons {
      @include size(auto, 40px);
      @include flex(flex, row, nowrap);

      &-icon {
        margin: 0 30px 0 0;
        fill: #c5c4c4;

        &:last-child {
          margin: 0;
        }
      }
    }

    &-secure {
      @include flex(flex, row, nowrap);

      &-icon {
        fill: $securityGrreen;
        margin: 0 10px 0 0;
      }

      &-title {
        margin: 0;
        @include font(14px, 400, 1.43);
        color: $securityGrreen;
      }
    }
  }
}

//@media #{$laptop} {
//  .select-add-card {
//    &__content-left {
//      @include size(calc(100% - 320px));
//    }
//
//    &__content-right {
//      @include size(320px);
//      padding: 20px;
//    }
//
//    .radio-button {
//      padding: 20px 30px;
//    }
//  }
//}
//
//@media #{$tablet} {
//  .select-add-card {
//    &__content-left {
//      @include size(calc(100% - 320px));
//    }
//
//    &__content-right {
//      @include size(320px);
//      padding: 20px;
//    }
//
//    .radio-button {
//      padding: 20px 30px;
//    }
//  }
//}
@media (min-width: 1300px) and (max-width: 1420px) {
  .select-add-card__footer {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-pack: distribute;
    justify-content: space-around;
    padding: 20px;
  }
  .select-add-card__footer-icons {
    width: 100%;
    height: auto;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-pack: distribute;
    justify-content: space-around;
  }
  .select-add-card__footer-secure {
    margin-top: 20px;
  }
}

@media #{$desktop} {
  .select-add-card {

    &__card {
      padding: 20px 0;
    }

    &__radio-buttons {
      @include size(100%);
    }

    &__content-left {
      @include size(100%);
    }

    &__content-right {
      @include size(100%);
      padding: 20px 30px;
      border: none;
    }
  }
}

@media #{$laptop} {
  .select-add-card {

    &__card {
      padding: 20px 0;
    }

    &__radio-buttons {
      @include size(100%);
    }

    &__content-left {
      @include size(100%);
    }

    &__content-right {
      @include size(100%);
      padding: 20px 30px;
      border: none;
    }

    .select-block-for-add-card {
      padding: 20px;
      border-top: 1px solid $border;
      border-bottom: 1px solid $border;

      .acceptance__content-input {
        padding: 10px 20px;
      }
    }

    .radio-button {
      padding: 20px 30px;
      border-bottom: 1px solid $border;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}

@media #{$laptop} {
  .select-add-card {

    &__card {
      padding: 20px 0;
    }

    &__radio-buttons {
      @include size(100%);
    }

    &__content-left {
      @include size(100%);
    }

    &__content-right {
      @include size(100%);
      padding: 20px 30px;
      border: none;
    }

    .select-block-for-add-card {
      padding: 20px;
      border-top: 1px solid $border;
      border-bottom: 1px solid $border;

      .acceptance__content-input {
        padding: 10px 20px;
      }
    }

    .radio-button {
      padding: 20px 30px;
      border-bottom: 1px solid $border;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}


@media #{$tablet} {
  .select-add-card {

    &__card {
      padding: 20px 0;
    }

    &__radio-buttons {
      @include size(100%);
    }

    &__content-left {
      @include size(100%);
    }

    &__content-right {
      @include size(100%);
      padding: 20px;
      border: none;
    }

    .select-block-for-add-card {
      padding: 20px;
      border-top: 1px solid $border;
      border-bottom: 1px solid $border;

      .acceptance__content-input {
        padding: 10px 20px;
      }
    }

    .radio-button {
      padding: 20px;
      border-bottom: 1px solid $border;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}


@media #{$mobile} {
  .select-add-card {

    &__card {
      padding: 20px 0;
      box-shadow: none !important;
      background-color: #fff !important;
    }

    &__radio-buttons {
      @include size(100%);
    }

    &__content-left {
      @include size(100%);
    }

    &__content-right {
      @include size(100%);
      padding: 20px;
      border: none;
    }

    .select-block-for-add-card {
      padding: 20px;
      border-top: 1px solid $border;
      border-bottom: 1px solid $border;

      .acceptance__content-input {
        padding: 10px 20px;
      }
    }

    .radio-button {
      padding: 20px;
      border-bottom: 1px solid $border;
    }

    &__footer {
      @include flex(null, null, wrap);
      justify-content: space-around;
      padding: 20px;

      &-icons {
        @include size(100%, auto);
        @include flex(null, null, wrap);
        justify-content: space-around;

        &-icon {
          @include size(85px !important);
          margin: 0 0 30px;
        }
      }
    }

    &__mobile {
      &-button {
        @include size(100%, 45px);
        @include font(14px, 700, 1.43, .5px);
        margin: 20px 0 25px !important;
      }
    }
  }
}
